package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-01
 */

@TableName("SHOP_ORDER")
public class ShopOrder extends Model<ShopOrder> {

   private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("SHOP_ORDER")
   private String shopOrder;
   @TableField("STATUS_BO")
   private String statusBo;
   @TableField("PRIORITY")
   private Long priority;
   @TableField("PLANNED_WORK_CENTER_BO")
   private String plannedWorkCenterBo;
   @TableField("PLANNED_ITEM_BO")
   private String plannedItemBo;
   @TableField("PLANNED_BOM_BO")
   private String plannedBomBo;
   @TableField("PLANNED_ROUTER_BO")
   private String plannedRouterBo;
   @TableField("ITEM_BO")
   private String itemBo;
   @TableField("BOM_BO")
   private String bomBo;
   @TableField("ROUTER_BO")
   private String routerBo;
   @TableField("QTY_TO_BUILD")
   private Double qtyToBuild;
   @TableField("QTY_ORDERED")
   private Double qtyOrdered;
   @TableField("QTY_RELEASED")
   private Double qtyReleased;
   @TableField("RELEASED_DATE")
   private LocalDateTime releasedDate;
   @TableField("PLANNED_START_DATE")
   private LocalDateTime plannedStartDate;
   @TableField("PLANNED_COMP_DATE")
   private LocalDateTime plannedCompDate;
   @TableField("SCHEDULED_START_DATE")
   private LocalDateTime scheduledStartDate;
   @TableField("SCHEDULED_COMP_DATE")
   private LocalDateTime scheduledCompDate;
   @TableField("ACTUAL_START_DATE")
   private LocalDateTime actualStartDate;
   @TableField("ACTUAL_COMP_DATE")
   private LocalDateTime actualCompDate;
   @TableField("QTY_DONE")
   private Double qtyDone;
   @TableField("QTY_SCRAPPED")
   private Double qtyScrapped;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private Date modifiedDateTime;
   @TableField("CUSTOMER")
   private String customer;
   @TableField("CUSTOMER_ORDER")
   private String customerOrder;
   @TableField("RMA_SFC_DATA_TYPE_BO")
   private String rmaSfcDataTypeBo;
   @TableField("RMA_SHOP_ORDER_DATA_TYPE_BO")
   private String rmaShopOrderDataTypeBo;
   @TableField("ORIGINAL_STATUS_BO")
   private String originalStatusBo;
   @TableField("TRANSFER_SITE")
   private String transferSite;
   @TableField("TRANSFER_TYPE")
   private String transferType;
   @TableField("LCC_BO")
   private String lccBo;
   @TableField("SHOP_ORDER_TYPE_BO")
   private String shopOrderTypeBo;
   @TableField("HOLD_ID")
   private Long holdId;
   @TableField("END_UNIT_NUMBER")
   private String endUnitNumber;
   @TableField("REQ_SERIAL_CHANGE")
   private String reqSerialChange;
   @TableField("COLLECT_PARENT_SERIAL")
   private String collectParentSerial;
   @TableField("BATCH_NUMBER")
   private String batchNumber;
   @TableField("ERP_ORDER")
   private String erpOrder;
   @TableField("ERP_PRODUCTION_VERSION")
   private String erpProductionVersion;
   @TableField("ERP_UNIT_OF_MEASURE")
   private String erpUnitOfMeasure;
   @TableField("PARTITION_DATE")
   private LocalDateTime partitionDate;
   @TableField("INSPECTION_LOT")
   private String inspectionLot;
   @TableField("INSPECTION_GROUP_SIZE")
   private Long inspectionGroupSize;
   @TableField("ERP_PUTAWAY_STORLOC")
   private String erpPutawayStorloc;
   @TableField("WAREHOUSE_NUMBER")
   private String warehouseNumber;
   @TableField("UNDERDELIVERY_TOLERANCE")
   private Double underdeliveryTolerance;
   @TableField("OVERDELIVERY_TOLERANCE")
   private Double overdeliveryTolerance;
   @TableField("UNLIMITED_OVERDELIVERY")
   private String unlimitedOverdelivery;
   @TableField("MINIMUM_DELIVERY_QTY")
   private Double minimumDeliveryQty;
   @TableField("MAXIMUM_DELIVERY_QTY")
   private Double maximumDeliveryQty;
   @TableField("TOLERANCE_DEFINED_IN")
   private String toleranceDefinedIn;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getStatusBo() {
      return statusBo;
   }

   public void setStatusBo(String statusBo) {
      this.statusBo = statusBo;
   }

   public Long getPriority() {
      return priority;
   }

   public void setPriority(Long priority) {
      this.priority = priority;
   }

   public String getPlannedWorkCenterBo() {
      return plannedWorkCenterBo;
   }

   public void setPlannedWorkCenterBo(String plannedWorkCenterBo) {
      this.plannedWorkCenterBo = plannedWorkCenterBo;
   }

   public String getPlannedItemBo() {
      return plannedItemBo;
   }

   public void setPlannedItemBo(String plannedItemBo) {
      this.plannedItemBo = plannedItemBo;
   }

   public String getPlannedBomBo() {
      return plannedBomBo;
   }

   public void setPlannedBomBo(String plannedBomBo) {
      this.plannedBomBo = plannedBomBo;
   }

   public String getPlannedRouterBo() {
      return plannedRouterBo;
   }

   public void setPlannedRouterBo(String plannedRouterBo) {
      this.plannedRouterBo = plannedRouterBo;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public String getBomBo() {
      return bomBo;
   }

   public void setBomBo(String bomBo) {
      this.bomBo = bomBo;
   }

   public String getRouterBo() {
      return routerBo;
   }

   public void setRouterBo(String routerBo) {
      this.routerBo = routerBo;
   }

   public Double getQtyToBuild() {
      return qtyToBuild;
   }

   public void setQtyToBuild(Double qtyToBuild) {
      this.qtyToBuild = qtyToBuild;
   }

   public Double getQtyOrdered() {
      return qtyOrdered;
   }

   public void setQtyOrdered(Double qtyOrdered) {
      this.qtyOrdered = qtyOrdered;
   }

   public Double getQtyReleased() {
      return qtyReleased;
   }

   public void setQtyReleased(Double qtyReleased) {
      this.qtyReleased = qtyReleased;
   }

   public LocalDateTime getReleasedDate() {
      return releasedDate;
   }

   public void setReleasedDate(LocalDateTime releasedDate) {
      this.releasedDate = releasedDate;
   }

   public LocalDateTime getPlannedStartDate() {
      return plannedStartDate;
   }

   public void setPlannedStartDate(LocalDateTime plannedStartDate) {
      this.plannedStartDate = plannedStartDate;
   }

   public LocalDateTime getPlannedCompDate() {
      return plannedCompDate;
   }

   public void setPlannedCompDate(LocalDateTime plannedCompDate) {
      this.plannedCompDate = plannedCompDate;
   }

   public LocalDateTime getScheduledStartDate() {
      return scheduledStartDate;
   }

   public void setScheduledStartDate(LocalDateTime scheduledStartDate) {
      this.scheduledStartDate = scheduledStartDate;
   }

   public LocalDateTime getScheduledCompDate() {
      return scheduledCompDate;
   }

   public void setScheduledCompDate(LocalDateTime scheduledCompDate) {
      this.scheduledCompDate = scheduledCompDate;
   }

   public LocalDateTime getActualStartDate() {
      return actualStartDate;
   }

   public void setActualStartDate(LocalDateTime actualStartDate) {
      this.actualStartDate = actualStartDate;
   }

   public LocalDateTime getActualCompDate() {
      return actualCompDate;
   }

   public void setActualCompDate(LocalDateTime actualCompDate) {
      this.actualCompDate = actualCompDate;
   }

   public Double getQtyDone() {
      return qtyDone;
   }

   public void setQtyDone(Double qtyDone) {
      this.qtyDone = qtyDone;
   }

   public Double getQtyScrapped() {
      return qtyScrapped;
   }

   public void setQtyScrapped(Double qtyScrapped) {
      this.qtyScrapped = qtyScrapped;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public Date getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(Date modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getCustomer() {
      return customer;
   }

   public void setCustomer(String customer) {
      this.customer = customer;
   }

   public String getCustomerOrder() {
      return customerOrder;
   }

   public void setCustomerOrder(String customerOrder) {
      this.customerOrder = customerOrder;
   }

   public String getRmaSfcDataTypeBo() {
      return rmaSfcDataTypeBo;
   }

   public void setRmaSfcDataTypeBo(String rmaSfcDataTypeBo) {
      this.rmaSfcDataTypeBo = rmaSfcDataTypeBo;
   }

   public String getRmaShopOrderDataTypeBo() {
      return rmaShopOrderDataTypeBo;
   }

   public void setRmaShopOrderDataTypeBo(String rmaShopOrderDataTypeBo) {
      this.rmaShopOrderDataTypeBo = rmaShopOrderDataTypeBo;
   }

   public String getOriginalStatusBo() {
      return originalStatusBo;
   }

   public void setOriginalStatusBo(String originalStatusBo) {
      this.originalStatusBo = originalStatusBo;
   }

   public String getTransferSite() {
      return transferSite;
   }

   public void setTransferSite(String transferSite) {
      this.transferSite = transferSite;
   }

   public String getTransferType() {
      return transferType;
   }

   public void setTransferType(String transferType) {
      this.transferType = transferType;
   }

   public String getLccBo() {
      return lccBo;
   }

   public void setLccBo(String lccBo) {
      this.lccBo = lccBo;
   }

   public String getShopOrderTypeBo() {
      return shopOrderTypeBo;
   }

   public void setShopOrderTypeBo(String shopOrderTypeBo) {
      this.shopOrderTypeBo = shopOrderTypeBo;
   }

   public Long getHoldId() {
      return holdId;
   }

   public void setHoldId(Long holdId) {
      this.holdId = holdId;
   }

   public String getEndUnitNumber() {
      return endUnitNumber;
   }

   public void setEndUnitNumber(String endUnitNumber) {
      this.endUnitNumber = endUnitNumber;
   }

   public String getReqSerialChange() {
      return reqSerialChange;
   }

   public void setReqSerialChange(String reqSerialChange) {
      this.reqSerialChange = reqSerialChange;
   }

   public String getCollectParentSerial() {
      return collectParentSerial;
   }

   public void setCollectParentSerial(String collectParentSerial) {
      this.collectParentSerial = collectParentSerial;
   }

   public String getBatchNumber() {
      return batchNumber;
   }

   public void setBatchNumber(String batchNumber) {
      this.batchNumber = batchNumber;
   }

   public String getErpOrder() {
      return erpOrder;
   }

   public void setErpOrder(String erpOrder) {
      this.erpOrder = erpOrder;
   }

   public String getErpProductionVersion() {
      return erpProductionVersion;
   }

   public void setErpProductionVersion(String erpProductionVersion) {
      this.erpProductionVersion = erpProductionVersion;
   }

   public String getErpUnitOfMeasure() {
      return erpUnitOfMeasure;
   }

   public void setErpUnitOfMeasure(String erpUnitOfMeasure) {
      this.erpUnitOfMeasure = erpUnitOfMeasure;
   }

   public LocalDateTime getPartitionDate() {
      return partitionDate;
   }

   public void setPartitionDate(LocalDateTime partitionDate) {
      this.partitionDate = partitionDate;
   }

   public String getInspectionLot() {
      return inspectionLot;
   }

   public void setInspectionLot(String inspectionLot) {
      this.inspectionLot = inspectionLot;
   }

   public Long getInspectionGroupSize() {
      return inspectionGroupSize;
   }

   public void setInspectionGroupSize(Long inspectionGroupSize) {
      this.inspectionGroupSize = inspectionGroupSize;
   }

   public String getErpPutawayStorloc() {
      return erpPutawayStorloc;
   }

   public void setErpPutawayStorloc(String erpPutawayStorloc) {
      this.erpPutawayStorloc = erpPutawayStorloc;
   }

   public String getWarehouseNumber() {
      return warehouseNumber;
   }

   public void setWarehouseNumber(String warehouseNumber) {
      this.warehouseNumber = warehouseNumber;
   }

   public Double getUnderdeliveryTolerance() {
      return underdeliveryTolerance;
   }

   public void setUnderdeliveryTolerance(Double underdeliveryTolerance) {
      this.underdeliveryTolerance = underdeliveryTolerance;
   }

   public Double getOverdeliveryTolerance() {
      return overdeliveryTolerance;
   }

   public void setOverdeliveryTolerance(Double overdeliveryTolerance) {
      this.overdeliveryTolerance = overdeliveryTolerance;
   }

   public String getUnlimitedOverdelivery() {
      return unlimitedOverdelivery;
   }

   public void setUnlimitedOverdelivery(String unlimitedOverdelivery) {
      this.unlimitedOverdelivery = unlimitedOverdelivery;
   }

   public Double getMinimumDeliveryQty() {
      return minimumDeliveryQty;
   }

   public void setMinimumDeliveryQty(Double minimumDeliveryQty) {
      this.minimumDeliveryQty = minimumDeliveryQty;
   }

   public Double getMaximumDeliveryQty() {
      return maximumDeliveryQty;
   }

   public void setMaximumDeliveryQty(Double maximumDeliveryQty) {
      this.maximumDeliveryQty = maximumDeliveryQty;
   }

   public String getToleranceDefinedIn() {
      return toleranceDefinedIn;
   }

   public void setToleranceDefinedIn(String toleranceDefinedIn) {
      this.toleranceDefinedIn = toleranceDefinedIn;
   }

public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SITE = "SITE";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String STATUS_BO = "STATUS_BO";

public static final String PRIORITY = "PRIORITY";

public static final String PLANNED_WORK_CENTER_BO = "PLANNED_WORK_CENTER_BO";

public static final String PLANNED_ITEM_BO = "PLANNED_ITEM_BO";

public static final String PLANNED_BOM_BO = "PLANNED_BOM_BO";

public static final String PLANNED_ROUTER_BO = "PLANNED_ROUTER_BO";

public static final String ITEM_BO = "ITEM_BO";

public static final String BOM_BO = "BOM_BO";

public static final String ROUTER_BO = "ROUTER_BO";

public static final String QTY_TO_BUILD = "QTY_TO_BUILD";

public static final String QTY_ORDERED = "QTY_ORDERED";

public static final String QTY_RELEASED = "QTY_RELEASED";

public static final String RELEASED_DATE = "RELEASED_DATE";

public static final String PLANNED_START_DATE = "PLANNED_START_DATE";

public static final String PLANNED_COMP_DATE = "PLANNED_COMP_DATE";

public static final String SCHEDULED_START_DATE = "SCHEDULED_START_DATE";

public static final String SCHEDULED_COMP_DATE = "SCHEDULED_COMP_DATE";

public static final String ACTUAL_START_DATE = "ACTUAL_START_DATE";

public static final String ACTUAL_COMP_DATE = "ACTUAL_COMP_DATE";

public static final String QTY_DONE = "QTY_DONE";

public static final String QTY_SCRAPPED = "QTY_SCRAPPED";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String CUSTOMER = "CUSTOMER";

public static final String CUSTOMER_ORDER = "CUSTOMER_ORDER";

public static final String RMA_SFC_DATA_TYPE_BO = "RMA_SFC_DATA_TYPE_BO";

public static final String RMA_SHOP_ORDER_DATA_TYPE_BO = "RMA_SHOP_ORDER_DATA_TYPE_BO";

public static final String ORIGINAL_STATUS_BO = "ORIGINAL_STATUS_BO";

public static final String TRANSFER_SITE = "TRANSFER_SITE";

public static final String TRANSFER_TYPE = "TRANSFER_TYPE";

public static final String LCC_BO = "LCC_BO";

public static final String SHOP_ORDER_TYPE_BO = "SHOP_ORDER_TYPE_BO";

public static final String HOLD_ID = "HOLD_ID";

public static final String END_UNIT_NUMBER = "END_UNIT_NUMBER";

public static final String REQ_SERIAL_CHANGE = "REQ_SERIAL_CHANGE";

public static final String COLLECT_PARENT_SERIAL = "COLLECT_PARENT_SERIAL";

public static final String BATCH_NUMBER = "BATCH_NUMBER";

public static final String ERP_ORDER = "ERP_ORDER";

public static final String ERP_PRODUCTION_VERSION = "ERP_PRODUCTION_VERSION";

public static final String ERP_UNIT_OF_MEASURE = "ERP_UNIT_OF_MEASURE";

public static final String PARTITION_DATE = "PARTITION_DATE";

public static final String INSPECTION_LOT = "INSPECTION_LOT";

public static final String INSPECTION_GROUP_SIZE = "INSPECTION_GROUP_SIZE";

public static final String ERP_PUTAWAY_STORLOC = "ERP_PUTAWAY_STORLOC";

public static final String WAREHOUSE_NUMBER = "WAREHOUSE_NUMBER";

public static final String UNDERDELIVERY_TOLERANCE = "UNDERDELIVERY_TOLERANCE";

public static final String OVERDELIVERY_TOLERANCE = "OVERDELIVERY_TOLERANCE";

public static final String UNLIMITED_OVERDELIVERY = "UNLIMITED_OVERDELIVERY";

public static final String MINIMUM_DELIVERY_QTY = "MINIMUM_DELIVERY_QTY";

public static final String MAXIMUM_DELIVERY_QTY = "MAXIMUM_DELIVERY_QTY";

public static final String TOLERANCE_DEFINED_IN = "TOLERANCE_DEFINED_IN";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ShopOrder{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", shopOrder = " + shopOrder +
         ", statusBo = " + statusBo +
         ", priority = " + priority +
         ", plannedWorkCenterBo = " + plannedWorkCenterBo +
         ", plannedItemBo = " + plannedItemBo +
         ", plannedBomBo = " + plannedBomBo +
         ", plannedRouterBo = " + plannedRouterBo +
         ", itemBo = " + itemBo +
         ", bomBo = " + bomBo +
         ", routerBo = " + routerBo +
         ", qtyToBuild = " + qtyToBuild +
         ", qtyOrdered = " + qtyOrdered +
         ", qtyReleased = " + qtyReleased +
         ", releasedDate = " + releasedDate +
         ", plannedStartDate = " + plannedStartDate +
         ", plannedCompDate = " + plannedCompDate +
         ", scheduledStartDate = " + scheduledStartDate +
         ", scheduledCompDate = " + scheduledCompDate +
         ", actualStartDate = " + actualStartDate +
         ", actualCompDate = " + actualCompDate +
         ", qtyDone = " + qtyDone +
         ", qtyScrapped = " + qtyScrapped +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         ", customer = " + customer +
         ", customerOrder = " + customerOrder +
         ", rmaSfcDataTypeBo = " + rmaSfcDataTypeBo +
         ", rmaShopOrderDataTypeBo = " + rmaShopOrderDataTypeBo +
         ", originalStatusBo = " + originalStatusBo +
         ", transferSite = " + transferSite +
         ", transferType = " + transferType +
         ", lccBo = " + lccBo +
         ", shopOrderTypeBo = " + shopOrderTypeBo +
         ", holdId = " + holdId +
         ", endUnitNumber = " + endUnitNumber +
         ", reqSerialChange = " + reqSerialChange +
         ", collectParentSerial = " + collectParentSerial +
         ", batchNumber = " + batchNumber +
         ", erpOrder = " + erpOrder +
         ", erpProductionVersion = " + erpProductionVersion +
         ", erpUnitOfMeasure = " + erpUnitOfMeasure +
         ", partitionDate = " + partitionDate +
         ", inspectionLot = " + inspectionLot +
         ", inspectionGroupSize = " + inspectionGroupSize +
         ", erpPutawayStorloc = " + erpPutawayStorloc +
         ", warehouseNumber = " + warehouseNumber +
         ", underdeliveryTolerance = " + underdeliveryTolerance +
         ", overdeliveryTolerance = " + overdeliveryTolerance +
         ", unlimitedOverdelivery = " + unlimitedOverdelivery +
         ", minimumDeliveryQty = " + minimumDeliveryQty +
         ", maximumDeliveryQty = " + maximumDeliveryQty +
         ", toleranceDefinedIn = " + toleranceDefinedIn +
         "}";
   }
}